<?xml version="1.0" encoding="UTF-8"?>
<!--
 Copyright (c) 2020 SAP SE or an SAP affiliate company. All rights reserved
-->
<widget-definition id="com.hybris.cockpitng.widgets.common.simplelist"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:noNamespaceSchemaLocation="http://www.hybris.com/schema/cockpitng/widget-definition.xsd">

	<name>Simple List</name>
	<description>A simple list widget</description>
	<defaultTitle>List</defaultTitle>
	<author>hybris</author>
	<version>0.1</version>
	<view src="simplelist.zul" />
	<keywords>
		<keyword>List</keyword>
	</keywords>

	<sockets>
		<input id="pageable"
			type="com.hybris.cockpitng.search.data.pageable.Pageable" />
		<input id="pageablelist" type="[T]" multiplicity="List" />
		<output id="selecteditem" type="[T]" />
	</sockets>

	<controller
		class="com.hybris.cockpitng.widgets.common.simplelist.SimpleListController" />

	<settings>
		<setting key="viewMode" type="ENUM(List,Grid)" default-value="List"/>
		<setting key="pageSize" default-value="10" type="Integer" />
		<setting key="async" default-value="true" type="Boolean" />
		<setting key="maxEntryLimit" default-value="1000" type="Integer" />
	</settings>
</widget-definition>
